xcb_get_motion_events(3)

NAME
xcb_get_motion_events -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_get_motion_events_cookie_t xcb_get_motion_events(xcb_connection_t *conn, xcb_window_t window, xcb_timestamp_t start, xcb_timestamp_t stop);

  Reply datastructure

typedef struct xcb_get_motion_events_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t events_len;
    uint8_t  pad1[20];
} xcb_get_motion_events_reply_t;

  Reply function

xcb_get_motion_events_reply_t *xcb_get_motion_events_reply(xcb_connection_t *conn, xcb_get_motion_events_cookie_t cookie, xcb_generic_error_t **e);

  Reply accessors

xcb_timecoord_t *xcb_get_motion_events_events(const xcb_get_motion_events_request_t *reply);

int xcb_get_motion_events_events_length(const xcb_get_motion_events_reply_t *reply);

xcb_timecoord_iterator_t xcb_get_motion_events_events_iterator(const xcb_get_motion_events_reply_t *reply);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    TODO: NOT YET DOCUMENTED.

start
    TODO: NOT YET DOCUMENTED.

stop
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_GET_MOTION_EVENTS. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

events_len
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_get_motion_events_cookie_t. Errors have to be handled when calling the reply function xcb_get_motion_events_reply. If you want to handle errors in the event loop instead, use xcb_get_motion_events_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.